NetFTSynchronization

## Class NetFTDataSynchronization

- java.lang.Object
- - NetFTSynchronization.NetFTDataSynchronization

-     public class NetFTDataSynchronization
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `NetFTDataSynchronization.Sensor`
    `class` | `NetFTDataSynchronization.SynchronizationErrors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetFTDataSynchronization(java.lang.String demoVer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disconnectFromNetFTGroup()`
    `NetFTDataSynchronization.SynchronizationErrors` | `getErrors()`
    `NetFTRDTPacket[]` | `getMostRecentSamples()`
    `int` | `getNumValidSensors()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `recordData(java.lang.String[] sensorAddressStrings)` Records data from several Net FT sensors for a time period and calculates timestamps for each sample.
    `void` | `setLogFile(java.io.File f)`
    `void` | `setSeparateFiles(boolean val)`
    `void` | `startRecording()`
    `void` | `stopRecording()`
    `void` | `tare()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetFTDataSynchronization

          public NetFTDataSynchronization(java.lang.String demoVer)

  - ### Method Detail

    - #### recordData

          public void recordData(java.lang.String[] sensorAddressStrings)

      Records data from several Net FT sensors for a time period and calculates timestamps for each sample.
      Parameters:
        `sensorAddressStrings` - - Array of strings containing potential IP Addresses

    - #### getNumValidSensors

          public int getNumValidSensors()

    - #### stopRecording

          public void stopRecording()

    - #### startRecording

          public void startRecording()

    - #### disconnectFromNetFTGroup

          public void disconnectFromNetFTGroup()

    - #### getMostRecentSamples

          public NetFTRDTPacket[] getMostRecentSamples()

    - #### tare

          public void tare()

    - #### setLogFile

          public void setLogFile(java.io.File f)

    - #### setSeparateFiles

          public void setSeparateFiles(boolean val)

    - #### getErrors

          public NetFTDataSynchronization.SynchronizationErrors getErrors()

    - #### main

          public static void main(java.lang.String[] args)